'use strict';
/**
 * Start the real script.
 */
require(['jquery'], function ($) {

  /**
   * Page initialization
   */
  $(document).ready(function() {

    /**
     * Handle the notification email interval
     */
    $('.notificationEmailInterval').change(function () {
      var intervalSelect = $(this);
      var notification = new XWiki.widgets.Notification("\u60A8\u7684\u8BBE\u7F6E\u6B63\u5728\u4FDD\u5B58\u4E2D......", 'inprogress');
      var serviceURL = new XWiki.Document(XWiki.Model.resolve('XWiki.Notifications.Code.NotificationPreferenceService', XWiki.EntityType.DOCUMENT)).getURL('get', 'outputSyntax=plain');
      $.post(serviceURL, {
        'interval': intervalSelect.val()
      }).done(function (data) {
        notification.hide();
        new XWiki.widgets.Notification("\u5DF2\u4FDD\u5B58\uFF01", 'done');
      });
    });

    /**
     * Handle the include diff in email setting
     */
    $('.notificationEmailDiffType').change(function () {
      var diffTypeSelect = $(this);
      var notification = new XWiki.widgets.Notification("\u60A8\u7684\u8BBE\u7F6E\u6B63\u5728\u4FDD\u5B58\u4E2D......", 'inprogress');
      var serviceURL = new XWiki.Document(XWiki.Model.resolve('XWiki.Notifications.Code.NotificationPreferenceService', XWiki.EntityType.DOCUMENT)).getURL('get', 'outputSyntax=plain');
      $.post(serviceURL, {
        'diffType': diffTypeSelect.val(),
        'target': $('.notifEmailPreferences').attr('data-target')
      }).done(function (data) {
        notification.hide();
        new XWiki.widgets.Notification("\u5DF2\u4FDD\u5B58\uFF01", 'done');
      }).fail(function (data) {
        notification.hide();
        new XWiki.widgets.Notification("\u4FDD\u5B58\u60A8\u7684\u8BBE\u7F6E\u5931\u8D25", 'error');
      });
    });

  });
});

